%define upstream_name    Dist-Zilla-Plugin-Mercurial
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check for modified/removed/unknown files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This plugin provides Mercurial support for the Dist::Zilla manpage.
Currently, it supports checking that the working copy is clean before
release, tagging, and pushing changes to the remote. The tag plugin also
checks before tagging to make sure that the tag it wants to use is unique.

Currently, this plugin does not support committing, so it won't play nice
with plugins that make changes to the working copy before release. Patches
are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1026324
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 968094
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 851292
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 751030
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.70.0-1.mga5
+ Revision: 593426
- update to 0.07

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511085
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 366270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 40471
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Mercurial

